<ul>
    <li *ngFor="let dog of dogs?.content"><a routerLink="/dog/{{dog.id}}"> {{dog.name}} </a></li>
</ul>

<label for="pageSize">Items per page</label>
<select id="pageSize" [(ngModel)]="pageSize" (change)="fetchDogs()" >
    <option value="10">10</option>
    <option value="15">15</option>
    <option value="25">25</option>
</select>

<button [disabled]="dogs?.first" (click)="previousPage()"> < </button>
<select [(ngModel)]="page" (change)="fetchDogs()">
    <option *ngFor="let item of [].constructor(dogs?.totalPages); let index=index" [value]="index">{{index+1}}</option>
</select>
<button [disabled]="dogs?.last" (click)="nextPage()"> > </button>